# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.28

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: BIPY_Project
# Configurations: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = Debug
# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles/rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = /home/koder/Repos/BiPy/build/
# =============================================================================
# Object build statements for EXECUTABLE target BIPY_App


#############################################
# Order-only phony target for BIPY_App

build cmake_object_order_depends_target_BIPY_App: phony || CMakeFiles/BIPY_App.dir

build CMakeFiles/BIPY_App.dir/main.cpp.o: CXX_COMPILER__BIPY_App_unscanned_Debug /home/koder/Repos/BiPy/main.cpp || cmake_object_order_depends_target_BIPY_App
  DEFINES = -DIMGUI_DISABLE_WAYLAND -DIMGUI_DISABLE_X11
  DEP_FILE = CMakeFiles/BIPY_App.dir/main.cpp.o.d
  FLAGS = -g -std=gnu++20 -fopenmp
  INCLUDES = -I/home/koder/Repos/BiPy -I/home/koder/Repos/BiPy/Xenith -I/home/koder/Repos/BiPy/Xenith/token -I/home/koder/Repos/BiPy/imgui -I/home/koder/Repos/BiPy/imgui/backends
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  OBJECT_FILE_DIR = CMakeFiles/BIPY_App.dir

build CMakeFiles/BIPY_App.dir/Xenith/core.cpp.o: CXX_COMPILER__BIPY_App_unscanned_Debug /home/koder/Repos/BiPy/Xenith/core.cpp || cmake_object_order_depends_target_BIPY_App
  DEFINES = -DIMGUI_DISABLE_WAYLAND -DIMGUI_DISABLE_X11
  DEP_FILE = CMakeFiles/BIPY_App.dir/Xenith/core.cpp.o.d
  FLAGS = -g -std=gnu++20 -fopenmp
  INCLUDES = -I/home/koder/Repos/BiPy -I/home/koder/Repos/BiPy/Xenith -I/home/koder/Repos/BiPy/Xenith/token -I/home/koder/Repos/BiPy/imgui -I/home/koder/Repos/BiPy/imgui/backends
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  OBJECT_FILE_DIR = CMakeFiles/BIPY_App.dir/Xenith

build CMakeFiles/BIPY_App.dir/Xenith/token/token.cpp.o: CXX_COMPILER__BIPY_App_unscanned_Debug /home/koder/Repos/BiPy/Xenith/token/token.cpp || cmake_object_order_depends_target_BIPY_App
  DEFINES = -DIMGUI_DISABLE_WAYLAND -DIMGUI_DISABLE_X11
  DEP_FILE = CMakeFiles/BIPY_App.dir/Xenith/token/token.cpp.o.d
  FLAGS = -g -std=gnu++20 -fopenmp
  INCLUDES = -I/home/koder/Repos/BiPy -I/home/koder/Repos/BiPy/Xenith -I/home/koder/Repos/BiPy/Xenith/token -I/home/koder/Repos/BiPy/imgui -I/home/koder/Repos/BiPy/imgui/backends
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  OBJECT_FILE_DIR = CMakeFiles/BIPY_App.dir/Xenith/token

build CMakeFiles/BIPY_App.dir/imgui/imgui.cpp.o: CXX_COMPILER__BIPY_App_unscanned_Debug /home/koder/Repos/BiPy/imgui/imgui.cpp || cmake_object_order_depends_target_BIPY_App
  DEFINES = -DIMGUI_DISABLE_WAYLAND -DIMGUI_DISABLE_X11
  DEP_FILE = CMakeFiles/BIPY_App.dir/imgui/imgui.cpp.o.d
  FLAGS = -g -std=gnu++20 -fopenmp
  INCLUDES = -I/home/koder/Repos/BiPy -I/home/koder/Repos/BiPy/Xenith -I/home/koder/Repos/BiPy/Xenith/token -I/home/koder/Repos/BiPy/imgui -I/home/koder/Repos/BiPy/imgui/backends
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  OBJECT_FILE_DIR = CMakeFiles/BIPY_App.dir/imgui

build CMakeFiles/BIPY_App.dir/imgui/imgui_draw.cpp.o: CXX_COMPILER__BIPY_App_unscanned_Debug /home/koder/Repos/BiPy/imgui/imgui_draw.cpp || cmake_object_order_depends_target_BIPY_App
  DEFINES = -DIMGUI_DISABLE_WAYLAND -DIMGUI_DISABLE_X11
  DEP_FILE = CMakeFiles/BIPY_App.dir/imgui/imgui_draw.cpp.o.d
  FLAGS = -g -std=gnu++20 -fopenmp
  INCLUDES = -I/home/koder/Repos/BiPy -I/home/koder/Repos/BiPy/Xenith -I/home/koder/Repos/BiPy/Xenith/token -I/home/koder/Repos/BiPy/imgui -I/home/koder/Repos/BiPy/imgui/backends
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  OBJECT_FILE_DIR = CMakeFiles/BIPY_App.dir/imgui

build CMakeFiles/BIPY_App.dir/imgui/imgui_widgets.cpp.o: CXX_COMPILER__BIPY_App_unscanned_Debug /home/koder/Repos/BiPy/imgui/imgui_widgets.cpp || cmake_object_order_depends_target_BIPY_App
  DEFINES = -DIMGUI_DISABLE_WAYLAND -DIMGUI_DISABLE_X11
  DEP_FILE = CMakeFiles/BIPY_App.dir/imgui/imgui_widgets.cpp.o.d
  FLAGS = -g -std=gnu++20 -fopenmp
  INCLUDES = -I/home/koder/Repos/BiPy -I/home/koder/Repos/BiPy/Xenith -I/home/koder/Repos/BiPy/Xenith/token -I/home/koder/Repos/BiPy/imgui -I/home/koder/Repos/BiPy/imgui/backends
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  OBJECT_FILE_DIR = CMakeFiles/BIPY_App.dir/imgui

build CMakeFiles/BIPY_App.dir/imgui/imgui_tables.cpp.o: CXX_COMPILER__BIPY_App_unscanned_Debug /home/koder/Repos/BiPy/imgui/imgui_tables.cpp || cmake_object_order_depends_target_BIPY_App
  DEFINES = -DIMGUI_DISABLE_WAYLAND -DIMGUI_DISABLE_X11
  DEP_FILE = CMakeFiles/BIPY_App.dir/imgui/imgui_tables.cpp.o.d
  FLAGS = -g -std=gnu++20 -fopenmp
  INCLUDES = -I/home/koder/Repos/BiPy -I/home/koder/Repos/BiPy/Xenith -I/home/koder/Repos/BiPy/Xenith/token -I/home/koder/Repos/BiPy/imgui -I/home/koder/Repos/BiPy/imgui/backends
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  OBJECT_FILE_DIR = CMakeFiles/BIPY_App.dir/imgui

build CMakeFiles/BIPY_App.dir/imgui/imgui_demo.cpp.o: CXX_COMPILER__BIPY_App_unscanned_Debug /home/koder/Repos/BiPy/imgui/imgui_demo.cpp || cmake_object_order_depends_target_BIPY_App
  DEFINES = -DIMGUI_DISABLE_WAYLAND -DIMGUI_DISABLE_X11
  DEP_FILE = CMakeFiles/BIPY_App.dir/imgui/imgui_demo.cpp.o.d
  FLAGS = -g -std=gnu++20 -fopenmp
  INCLUDES = -I/home/koder/Repos/BiPy -I/home/koder/Repos/BiPy/Xenith -I/home/koder/Repos/BiPy/Xenith/token -I/home/koder/Repos/BiPy/imgui -I/home/koder/Repos/BiPy/imgui/backends
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  OBJECT_FILE_DIR = CMakeFiles/BIPY_App.dir/imgui

build CMakeFiles/BIPY_App.dir/imgui/backends/imgui_impl_glfw.cpp.o: CXX_COMPILER__BIPY_App_unscanned_Debug /home/koder/Repos/BiPy/imgui/backends/imgui_impl_glfw.cpp || cmake_object_order_depends_target_BIPY_App
  DEFINES = -DIMGUI_DISABLE_WAYLAND -DIMGUI_DISABLE_X11
  DEP_FILE = CMakeFiles/BIPY_App.dir/imgui/backends/imgui_impl_glfw.cpp.o.d
  FLAGS = -g -std=gnu++20 -fopenmp
  INCLUDES = -I/home/koder/Repos/BiPy -I/home/koder/Repos/BiPy/Xenith -I/home/koder/Repos/BiPy/Xenith/token -I/home/koder/Repos/BiPy/imgui -I/home/koder/Repos/BiPy/imgui/backends
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  OBJECT_FILE_DIR = CMakeFiles/BIPY_App.dir/imgui/backends

build CMakeFiles/BIPY_App.dir/imgui/backends/imgui_impl_opengl3.cpp.o: CXX_COMPILER__BIPY_App_unscanned_Debug /home/koder/Repos/BiPy/imgui/backends/imgui_impl_opengl3.cpp || cmake_object_order_depends_target_BIPY_App
  DEFINES = -DIMGUI_DISABLE_WAYLAND -DIMGUI_DISABLE_X11
  DEP_FILE = CMakeFiles/BIPY_App.dir/imgui/backends/imgui_impl_opengl3.cpp.o.d
  FLAGS = -g -std=gnu++20 -fopenmp
  INCLUDES = -I/home/koder/Repos/BiPy -I/home/koder/Repos/BiPy/Xenith -I/home/koder/Repos/BiPy/Xenith/token -I/home/koder/Repos/BiPy/imgui -I/home/koder/Repos/BiPy/imgui/backends
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  OBJECT_FILE_DIR = CMakeFiles/BIPY_App.dir/imgui/backends


# =============================================================================
# Link build statements for EXECUTABLE target BIPY_App


#############################################
# Link the executable BIPY_App

build BIPY_App: CXX_EXECUTABLE_LINKER__BIPY_App_Debug CMakeFiles/BIPY_App.dir/main.cpp.o CMakeFiles/BIPY_App.dir/Xenith/core.cpp.o CMakeFiles/BIPY_App.dir/Xenith/token/token.cpp.o CMakeFiles/BIPY_App.dir/imgui/imgui.cpp.o CMakeFiles/BIPY_App.dir/imgui/imgui_draw.cpp.o CMakeFiles/BIPY_App.dir/imgui/imgui_widgets.cpp.o CMakeFiles/BIPY_App.dir/imgui/imgui_tables.cpp.o CMakeFiles/BIPY_App.dir/imgui/imgui_demo.cpp.o CMakeFiles/BIPY_App.dir/imgui/backends/imgui_impl_glfw.cpp.o CMakeFiles/BIPY_App.dir/imgui/backends/imgui_impl_opengl3.cpp.o | /usr/lib/x86_64-linux-gnu/libglfw.so.3.3 /usr/lib/x86_64-linux-gnu/libvulkan.so /usr/lib/x86_64-linux-gnu/libGLX.so /usr/lib/x86_64-linux-gnu/libOpenGL.so /usr/lib/gcc/x86_64-linux-gnu/13/libgomp.so /usr/lib/x86_64-linux-gnu/libpthread.a
  FLAGS = -g
  LINK_LIBRARIES = /usr/lib/x86_64-linux-gnu/libglfw.so.3.3  /usr/lib/x86_64-linux-gnu/libvulkan.so  -lX11  -ldl  -lpthread  /usr/lib/x86_64-linux-gnu/libGLX.so  /usr/lib/x86_64-linux-gnu/libOpenGL.so  /usr/lib/gcc/x86_64-linux-gnu/13/libgomp.so  /usr/lib/x86_64-linux-gnu/libpthread.a
  OBJECT_DIR = CMakeFiles/BIPY_App.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_FILE = BIPY_App
  TARGET_PDB = BIPY_App.dbg


#############################################
# Utility command for edit_cache

build CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/koder/Repos/BiPy/build && /usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build edit_cache: phony CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/koder/Repos/BiPy/build && /usr/bin/cmake --regenerate-during-build -S/home/koder/Repos/BiPy -B/home/koder/Repos/BiPy/build
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles/rebuild_cache.util

# =============================================================================
# Target aliases.

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: /home/koder/Repos/BiPy/build

build all: phony BIPY_App

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja: RERUN_CMAKE | /home/koder/Repos/BiPy/CMakeLists.txt /usr/lib/x86_64-linux-gnu/cmake/glfw3/glfw3Config.cmake /usr/lib/x86_64-linux-gnu/cmake/glfw3/glfw3ConfigVersion.cmake /usr/lib/x86_64-linux-gnu/cmake/glfw3/glfw3Targets-none.cmake /usr/lib/x86_64-linux-gnu/cmake/glfw3/glfw3Targets.cmake /usr/share/cmake-3.28/Modules/CMakeCInformation.cmake /usr/share/cmake-3.28/Modules/CMakeCXXInformation.cmake /usr/share/cmake-3.28/Modules/CMakeCommonLanguageInclude.cmake /usr/share/cmake-3.28/Modules/CMakeGenericSystem.cmake /usr/share/cmake-3.28/Modules/CMakeInitializeConfigs.cmake /usr/share/cmake-3.28/Modules/CMakeLanguageInformation.cmake /usr/share/cmake-3.28/Modules/CMakeParseImplicitLinkInfo.cmake /usr/share/cmake-3.28/Modules/CMakeSystemSpecificInformation.cmake /usr/share/cmake-3.28/Modules/CMakeSystemSpecificInitialize.cmake /usr/share/cmake-3.28/Modules/Compiler/CMakeCommonCompilerMacros.cmake /usr/share/cmake-3.28/Modules/Compiler/GNU-C.cmake /usr/share/cmake-3.28/Modules/Compiler/GNU-CXX.cmake /usr/share/cmake-3.28/Modules/Compiler/GNU.cmake /usr/share/cmake-3.28/Modules/FindOpenGL.cmake /usr/share/cmake-3.28/Modules/FindOpenMP.cmake /usr/share/cmake-3.28/Modules/FindPackageHandleStandardArgs.cmake /usr/share/cmake-3.28/Modules/FindPackageMessage.cmake /usr/share/cmake-3.28/Modules/FindVulkan.cmake /usr/share/cmake-3.28/Modules/Platform/Linux-GNU-C.cmake /usr/share/cmake-3.28/Modules/Platform/Linux-GNU-CXX.cmake /usr/share/cmake-3.28/Modules/Platform/Linux-GNU.cmake /usr/share/cmake-3.28/Modules/Platform/Linux-Initialize.cmake /usr/share/cmake-3.28/Modules/Platform/Linux.cmake /usr/share/cmake-3.28/Modules/Platform/UnixPaths.cmake CMakeCache.txt CMakeFiles/3.28.3/CMakeCCompiler.cmake CMakeFiles/3.28.3/CMakeCXXCompiler.cmake CMakeFiles/3.28.3/CMakeSystem.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build /home/koder/Repos/BiPy/CMakeLists.txt /usr/lib/x86_64-linux-gnu/cmake/glfw3/glfw3Config.cmake /usr/lib/x86_64-linux-gnu/cmake/glfw3/glfw3ConfigVersion.cmake /usr/lib/x86_64-linux-gnu/cmake/glfw3/glfw3Targets-none.cmake /usr/lib/x86_64-linux-gnu/cmake/glfw3/glfw3Targets.cmake /usr/share/cmake-3.28/Modules/CMakeCInformation.cmake /usr/share/cmake-3.28/Modules/CMakeCXXInformation.cmake /usr/share/cmake-3.28/Modules/CMakeCommonLanguageInclude.cmake /usr/share/cmake-3.28/Modules/CMakeGenericSystem.cmake /usr/share/cmake-3.28/Modules/CMakeInitializeConfigs.cmake /usr/share/cmake-3.28/Modules/CMakeLanguageInformation.cmake /usr/share/cmake-3.28/Modules/CMakeParseImplicitLinkInfo.cmake /usr/share/cmake-3.28/Modules/CMakeSystemSpecificInformation.cmake /usr/share/cmake-3.28/Modules/CMakeSystemSpecificInitialize.cmake /usr/share/cmake-3.28/Modules/Compiler/CMakeCommonCompilerMacros.cmake /usr/share/cmake-3.28/Modules/Compiler/GNU-C.cmake /usr/share/cmake-3.28/Modules/Compiler/GNU-CXX.cmake /usr/share/cmake-3.28/Modules/Compiler/GNU.cmake /usr/share/cmake-3.28/Modules/FindOpenGL.cmake /usr/share/cmake-3.28/Modules/FindOpenMP.cmake /usr/share/cmake-3.28/Modules/FindPackageHandleStandardArgs.cmake /usr/share/cmake-3.28/Modules/FindPackageMessage.cmake /usr/share/cmake-3.28/Modules/FindVulkan.cmake /usr/share/cmake-3.28/Modules/Platform/Linux-GNU-C.cmake /usr/share/cmake-3.28/Modules/Platform/Linux-GNU-CXX.cmake /usr/share/cmake-3.28/Modules/Platform/Linux-GNU.cmake /usr/share/cmake-3.28/Modules/Platform/Linux-Initialize.cmake /usr/share/cmake-3.28/Modules/Platform/Linux.cmake /usr/share/cmake-3.28/Modules/Platform/UnixPaths.cmake CMakeCache.txt CMakeFiles/3.28.3/CMakeCCompiler.cmake CMakeFiles/3.28.3/CMakeCXXCompiler.cmake CMakeFiles/3.28.3/CMakeSystem.cmake: phony


#############################################
# Clean all the built files.

build clean: CLEAN


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
